org.appng.xml.platform

## Class Linkable

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Linkable

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    Link, OpenapiAction

      public abstract class Linkable
      extends BaseObject
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `_default`
    `protected String` | `active`
    `protected Condition` | `condition`
    `protected Label` | `confirmation`
    `protected Boolean` | `disabled`
    `protected Icon` | `icon`
    `protected Label` | `label`
    `protected Permissions` | `permissions`
    `protected Boolean` | `showDisabled`
    `protected Textelements` | `textelements`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Linkable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActive()` If evaluating to `true`, the link will be marked as currently active.
    `Condition` | `getCondition()` Gets the value of the condition property.
    `Label` | `getConfirmation()` Gets the value of the confirmation property.
    `String` | `getDefault()` If evaluating to `true`, the link will be the default for the current `Result` (`Linkmode.INTERN` only).
    `Icon` | `getIcon()` Gets the value of the icon property.
    `Label` | `getLabel()` Gets the value of the label property.
    `Permissions` | `getPermissions()` Gets the value of the permissions property.
    `Textelements` | `getTextelements()` Gets the value of the textelements property.
    `Boolean` | `isDisabled()` Whether or not this link is disabled, see also `isShowDisabled()`
    `Boolean` | `isShowDisabled()` If set to `true`, and the link condition evaluates to `false`, the link will be displayed in an disabled state instead of hiding it completely.
    `void` | `setActive(String value)` Sets the value of the active property.
    `void` | `setCondition(Condition value)` Sets the value of the condition property.
    `void` | `setConfirmation(Label value)` Sets the value of the confirmation property.
    `void` | `setDefault(String value)` Sets the value of the default property.
    `void` | `setDisabled(Boolean value)` Sets the value of the disabled property.
    `void` | `setIcon(Icon value)` Sets the value of the icon property.
    `void` | `setLabel(Label value)` Sets the value of the label property.
    `void` | `setPermissions(Permissions value)` Sets the value of the permissions property.
    `void` | `setShowDisabled(Boolean value)` Sets the value of the showDisabled property.
    `void` | `setTextelements(Textelements value)` Sets the value of the textelements property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### condition

          protected Condition condition

    - #### permissions

          protected Permissions permissions

    - #### label

          protected Label label

    - #### icon

          protected Icon icon

    - #### confirmation

          protected Label confirmation

    - #### textelements

          protected Textelements textelements

    - #### _default

          protected String _default

    - #### active

          protected String active

    - #### disabled

          protected Boolean disabled

    - #### showDisabled

          protected Boolean showDisabled

  - ### Constructor Detail

    - #### Linkable

          public Linkable()

  - ### Method Detail

    - #### getCondition

          public Condition getCondition()

      Gets the value of the condition property.
      Returns:
        possible object is `Condition`

    - #### setCondition

          public void setCondition(Condition value)

      Sets the value of the condition property.
      Parameters:
        `value` - allowed object is `Condition`

    - #### getPermissions

          public Permissions getPermissions()

      Gets the value of the permissions property.
      Returns:
        possible object is `Permissions`

    - #### setPermissions

          public void setPermissions(Permissions value)

      Sets the value of the permissions property.
      Parameters:
        `value` - allowed object is `Permissions`

    - #### getLabel

          public Label getLabel()

      Gets the value of the label property.
      Returns:
        possible object is `Label`

    - #### setLabel

          public void setLabel(Label value)

      Sets the value of the label property.
      Parameters:
        `value` - allowed object is `Label`

    - #### getIcon

          public Icon getIcon()

      Gets the value of the icon property.
      Returns:
        possible object is `Icon`

    - #### setIcon

          public void setIcon(Icon value)

      Sets the value of the icon property.
      Parameters:
        `value` - allowed object is `Icon`

    - #### getConfirmation

          public Label getConfirmation()

      Gets the value of the confirmation property.
      Returns:
        possible object is `Label`

    - #### setConfirmation

          public void setConfirmation(Label value)

      Sets the value of the confirmation property.
      Parameters:
        `value` - allowed object is `Label`

    - #### getTextelements

          public Textelements getTextelements()

      Gets the value of the textelements property.
      Returns:
        possible object is `Textelements`

    - #### setTextelements

          public void setTextelements(Textelements value)

      Sets the value of the textelements property.
      Parameters:
        `value` - allowed object is `Textelements`

    - #### getDefault

          public String getDefault()

      If evaluating to `true`, the link will be the default for the current `Result` (`Linkmode.INTERN` only).
      Returns:
        possible object is `String`

    - #### setDefault

          public void setDefault(String value)

      Sets the value of the default property.
      Parameters:
        `value` - allowed object is `String`

    - #### getActive

          public String getActive()

      If evaluating to `true`, the link will be marked as currently active.
      Returns:
        possible object is `String`

    - #### setActive

          public void setActive(String value)

      Sets the value of the active property.
      Parameters:
        `value` - allowed object is `String`

    - #### isDisabled

          public Boolean isDisabled()

      Whether or not this link is disabled, see also `isShowDisabled()`
      Returns:
        possible object is `Boolean`

    - #### setDisabled

          public void setDisabled(Boolean value)

      Sets the value of the disabled property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isShowDisabled

          public Boolean isShowDisabled()

      If set to `true`, and the link condition evaluates to `false`, the link will be displayed in an disabled state instead of hiding it completely.
      Returns:
        possible object is `Boolean`

    - #### setShowDisabled

          public void setShowDisabled(Boolean value)

      Sets the value of the showDisabled property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.